# Pull

***

## Download an Engine

> Download an Engine

```json
{"openapi":"3.1.1","info":{"title":"ByteNite developers API","version":"0.1"},"tags":[],"servers":[{"url":"https://api.bytenite.com/v1/dev"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"Your ByteNite access token","name":"Authorization","in":"header"}},"schemas":{"developerEngineMessage":{"type":"object","properties":{"engineId":{"type":"string"},"engineTag":{"type":"string"},"engineData":{"type":"string","contentEncoding":"base64"},"engineLink":{"type":"string"},"engineStatus":{"type":"string"}}},"rpcStatus":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/protobufAny"}}}},"protobufAny":{"type":"object","properties":{"@type":{"type":"string"}},"additionalProperties":{}}}},"paths":{"/engines/{engineTag}/download":{"get":{"summary":"Download an Engine","description":"Download an Engine","operationId":"Developer_GetEngineLink","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/developerEngineMessage"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/developerEngineMessage"}}}},"400":{"description":"Returned when the users sends a malformed request.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"401":{"description":"Returned when the user is not authenticated.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"403":{"description":"Returned when the user does not have permission to access the resource.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"404":{"description":"Returned when the resource does not exist.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"500":{"description":"Returned when an error on the server occurred.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"503":{"description":"Returned when the resource is temporarily unavailable.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}}}},"parameters":[{"schema":{"type":"string"},"name":"engineTag","in":"path","required":true},{"schema":{"type":"string"},"name":"engineId","in":"query","required":false},{"schema":{"type":"string","contentEncoding":"base64"},"name":"engineData","in":"query","required":false},{"schema":{"type":"string"},"name":"engineLink","in":"query","required":false},{"schema":{"type":"string"},"name":"engineStatus","in":"query","required":false}],"tags":["Engines"]}}}}
```
